=== debian/changelog ===
bittwist (2.0-9) unstable; urgency=medium

  * Bumped DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/gbp.conf: no longer used by me... Removed.
  * debian/patches/:
      - Added 30_fix-spellings-manpage.patch, to fix bittwiste.1.
      - bittwiste.1.patch: no longer needed. Removed.
      - bittwist.1.patch: no longer needed. Removed.
      - fix-gcc-warning: renamed to 10_fix-gcc-warning.patch.
      - Makefile.patch: renamed to 20_improve-Makefile.patch.
  * debian/rules: removed the --parallel option from dh.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Nov 2016 20:12:59 -0200

bittwist (2.0-8) unstable; urgency=medium

  * debian/control: fix a spelling error in long description.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 16 May 2015 22:20:10 -0300

bittwist (2.0-7) unstable; urgency=medium

  * Upload to unstable. Welcome Jessie Stable!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 28 Apr 2015 19:39:21 -0300

bittwist (2.0-6) experimental; urgency=medium

  * debian/copyright: updated the packaging copyright years.
  * debian/patches/fix-gcc-warning: added to fix a GCC warning.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 10 Feb 2015 23:20:40 -0200

bittwist (2.0-5) unstable; urgency=medium

  * debian/control: updated the Standards-Version to 3.9.6.
  * debian/patches/Makefile.patch: changed to improve the
      hardening system.
  * debian/rules:
      - Added the DEB_BUILD_MAINT_OPTIONS variable to fix the
        issues pointed by blhc.
      - Removed an useless comment.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 12 Oct 2014 02:26:57 -0300

bittwist (2.0-4) unstable; urgency=medium

  * New maintainer email address.
  * debian/control:
      - Bumped Standards-Version from 3.9.4 to 3.9.5.
      - Updated de Vcs-Browser field.
  * debian/copyright: updated copyright packaging years.
  * debian/gbp.conf: added to allow git-buildpackage usage.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 02 Aug 2014 18:13:14 -0300

bittwist (2.0-3) unstable; urgency=low

  * debian/control: updated VCS (migrated from svn to git).

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Fri, 02 Aug 2013 10:47:25 -0300

bittwist (2.0-2) unstable; urgency=low

  * Bump debhelper level to 9.
  * debian/control: re-added VCS fields.
  * debian/rules:
      - Added --parallel to DH.
      - Removed some comments.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Tue, 30 Apr 2013 20:42:31 -0300

bittwist (2.0-1) unstable; urgency=low

  * New upstream release.
  * Reintroduced in Debian (Closes: #705352).
  * Added GCC hardening in Makefile.patch.
  * Migrations:
      - debian format from 1.0 to 3.0.
      - debhelper version from 7 to 8.
      - patch system from dpatch to quilt.
  * debian/control:
      - Changed tcpdump from Recommends to Suggests.
      - Updated Standards-Version from 3.8.4 to 3.9.4.
      - Updated long description.
      - Removed Vcs-Svn and Vcs-Browser fields.
  * debian/copyright: updated to new format.
  * debian/README.source: removed because it useless now.
  * debian/rules: updated to new (reduced) format.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Thu, 11 Apr 2013 20:58:40 -0300

bittwist (1.1-1) unstable; urgency=low

  * New upstream release.
  * Added 02 patch to fix hyfen used as minus signal in manpages.
  * Removed extra blank spaces in debian/{copyright,rules}.
  * Updated debhelper version from 5 to 7.
  * debian/control:
      - Added ${misc:Depends} in Depends field.
      - Changed libpcap0.8-dev to libpcap-dev in Build-Depends.
      - Removed XS from two Vcs lines.
      - Updated information about SVN (Vcs lines).
      - Updated Standards-Version from 3.7.2 to 3.8.4.
  * debian/copyright:
      - Added the "copyright" word in packaging announce.
      - Changed the point to GPL from "/usr/share/common-licenses/GPL" to
        "/usr/share/common-licenses/GPL-2".
  * debian/rules:
      - Changed from dh_clean -k to dh_prep.
      - Made empty binary-indep target.
      - Removed build redundancy from binary-arch target.
      - Removed binary-indep from binary target.
  * debian/watch: fixed the version check.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sat, 27 Feb 2010 21:49:15 -0300

bittwist (1.0-1) unstable; urgency=low

  * New upstream release.
  * Added year 2007 in debian/copyright.
  * Fixed a typo in long description in debian/control. Thanks to Gunnar
    Wolf <gwolf@debian.org>. (Closes: #449063)

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Fri, 02 Nov 2007 18:25:56 -0200

bittwist (0.80-2) UNRELEASED; urgency=low

  * Added Homepage field in debian/control.
  * Removed debian/docs. The BUGS file instructs users to report bugs to
    upstream, however, Debian users should use Debian Bug Tracking System
    (BTS).

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sat, 27 Oct 2007 21:07:07 -0200

bittwist (0.80-1) unstable; urgency=low

  * Initial release. (Closes: #432724)

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Fri, 27 Jul 2007 09:49:34 -0300
