=== debian/control ===
Source: bittwist
Section: net
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper (>= 10), libpcap-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/bittwist.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/bittwist.git
Homepage: http://bittwist.sf.net

Package: bittwist
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: tcpdump | wireshark
Description: libpcap based Ethernet packet generator
 bittwist (or Bit-Twist) is designed to complement tcpdump, which by itself has
 done a great job in capturing network traffic. Bit-Twist can regenerate the
 captured traffic onto a live network (the packets are generated from tcpdump
 trace file, generating a .pcap file).
 .
 Bit-Twist also comes with a comprehensive trace file editor to allow one to
 change the contents of a trace file (bittwiste).
 .
 Generally, a packet generator is useful in simulating networking traffic or
 scenario, testing firewall, IDS, and IPS, and troubleshooting various network
 problems.
 .
 The Bit-Twist features are:
 .
    * runs on Mac OS X (and *BSD), Linux, and Windows;
    * send multiple trace files at a time;
    * send packets at a specific speed or line rate in Mbps;
    * comprehensive trace file editor with control over most fields in
      Ethernet, ARP, IP, ICMP, TCP, and UDP headers with automatic header
      checksum correction;
    * append user payload to existing packets after a specific header;
    * select a specific range of packets and save them in another trace file;
    * highly scriptable - with proper manipulation you can turn Bit-Twist
      into an extremely flexible packet generator tool;
    * if you are teaching Computer Networks classes, you may find Bit-Twist
      useful as a practical teaching material. It gives your students a
      hands-on experience to learn various networking protocols etc.
