=== debian/watch ===
version=4
http://sf.net/bittwist/bittwist-linux-(\d\S+)\.tar\.(?:bz2|gz|xz)
