=== debian/changelog ===
bittwist (3.4-1) unstable; urgency=medium

  * New upstream version 3.4
  * Update d/p/20_Makefile.patch for new upstream version 3.4
  * d/control: update long Description from new upstream version README.md
  * rm d/p/30_fix-spellings-manpage.patch, useless for new upstream version

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 14 Jun 2023 17:28:47 +0800

bittwist (3.1-1) unstable; urgency=medium

  * New upstream version 3.1
  * Refresh patches
  * d/copyright:
      - add xiao sheng wen for debian dir
      - update year info to 2023
      - update Source field
  * d/control:
      - Bump Standards-Version: 4.6.2
      - B-D add cppcheck libpcap0.8-dev, remove libpcap-dev
      - update Homepage to https://bittwist.sourceforge.io
      - update Vcs-Git, use -b debian/latest
  * add d/docs
  * add debian/gbp.conf
  * add debian/upstream/metadata
  * Run wrap-and-sort -asbkt

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 01 Jun 2023 11:32:51 +0800

bittwist (2.0-15) unstable; urgency=medium

  [ 肖盛文 ]
  * Bumped debhelper-compat 13
  * New maintainer (Closes: #951173)
  * d/copyright: add Upstream-Contact: Addy Yeow Chin Heng <ayeowch@gmail.com>

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 08 May 2020 19:41:12 +0800

bittwist (2.0-14) unstable; urgency=medium

  * QA upload.
  * debian/copyright:
      - Added packaging rights for me.
      - Using a secure copyright format in URI.
  * debian/patches/10_fix-gcc-warning.patch: updated to fix a build warning.

 -- Thiago Andrade Marques <thmarques@gmail.com>  Sat, 21 Mar 2020 22:37:20 -0300

bittwist (2.0-13) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see: #951173)
  * debian/control: bumped Standards-Version to 4.5.0.
  * debian/copyright: updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 11 Feb 2020 18:03:54 -0300

bittwist (2.0-12) unstable; urgency=medium

  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.4.1.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/watch: using variables instead of expressions.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 04 Nov 2019 19:19:17 -0300

bittwist (2.0-11) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/control: bumped Standards-Version to 4.2.1.
  * debian/tests/control: use a restriction instead of '2>'.

  [ Ondřej Nový ]
  * debian/watch: use https protocol.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 27 Nov 2018 20:02:05 -0200

bittwist (2.0-10) unstable; urgency=medium

  * Bumped DH level to 11.
  * debian/control:
      - Bumped Standards-Version to 4.2.0.
      - Changed Vcs-* URLs to salsa.debian.org.
  * debian/copyright: updated packaging years.
  * debian/source/include-binaries: added to control debian/tests/test.pcap.
  * debian/tests/control: created to perform tests.
  * debian/tests/test.pcap: added to be used as test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 22 Aug 2018 17:09:34 -0300
