## bittwist 3.8

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-License-Identifier: GPL-2.0-or-later
 #
 # Makefile for Bit-Twist project
-# Copyright (C) 2006 - 2023 Addy Yeow Chin Heng <ayeowch@gmail.com>
+# Copyright (C) 2006 - 2023 Addy Yeow <ayeowch@gmail.com>
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -35,7 +35,7 @@
 CC ?= gcc
 DEBUG = -g
 CFLAGS ?= -std=gnu17
-CFLAGS += -O2
+CFLAGS += -O3
 CFLAGS += ${DEBUG} -Wall
 SRC = src
 DOC = doc
@@ -54,16 +54,16 @@
 	$(CC) $(CFLAGS) $(SRC)/bittwist.c $(SRC)/token_bucket.c -o $(SRC)/bittwist -I/usr/local/include -L/usr/local/lib -lpcap
 
 bittwiste:
-	$(CC) $(CFLAGS) $(SRC)/bittwiste.c $(SRC)/template_pcap.c -o $(SRC)/bittwiste -I/usr/local/include -L/usr/local/lib -lpcap
+	$(CC) $(CFLAGS) $(SRC)/bittwiste.c $(SRC)/tinymt/tinymt64.c $(SRC)/template_pcap.c -o $(SRC)/bittwiste -I $(SRC)/tinymt -I/usr/local/include -L/usr/local/lib -lpcap
 
 clean:
 	rm -f $(SRC)/bittwist $(SRC)/bittwiste
 
 check:
-	$(CPPCHECK) --enable=warning .
+	$(CPPCHECK) --enable=warning $(SRC)
 
 format:
-	$(CLANG_FORMAT) -i src/def.h src/token_bucket.h src/token_bucket.c src/bittwist.h src/bittwist.c src/bittwiste.h src/bittwiste.c
+	$(CLANG_FORMAT) -i src/def.h src/token_bucket.h src/token_bucket.c src/template_pcap.h src/template_pcap.c src/bittwist.h src/bittwist.c src/bittwiste.h src/bittwiste.c
 
 install:
 	mkdir -p $(bindir)
