=== debian/changelog ===
bittwist (3.8-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:35:02 +1100

bittwist (3.8-1build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:58:19 +0100

bittwist (3.8-1) unstable; urgency=medium

  * New upstream version 3.8
  * d/copyright:
      - update Source: to https://github.com/ayeowch/bittwist
      - update Upstream AUTHORS name
  * Update d/p/20_Makefile.patch for new upstream version

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 14 Aug 2023 18:17:02 +0800
