=== debian/control ===
--- 
+++ 
@@ -1,17 +1,25 @@
 Source: bittwist
 Section: net
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 10), libpcap-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/bittwist.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/bittwist.git
-Homepage: http://bittwist.sf.net
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: xiao sheng wen <atzlinux@sina.com>
+Build-Depends:
+ cppcheck,
+ debhelper-compat (= 13),
+ libpcap0.8-dev,
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/bittwist
+Vcs-Git: https://salsa.debian.org/debian/bittwist.git -b debian/latest
+Homepage: https://bittwist.sourceforge.io
 
 Package: bittwist
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: tcpdump | wireshark
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ tcpdump | wireshark,
 Description: libpcap based Ethernet packet generator
  bittwist (or Bit-Twist) is designed to complement tcpdump, which by itself has
  done a great job in capturing network traffic. Bit-Twist can regenerate the
@@ -27,13 +35,21 @@
  .
  The Bit-Twist features are:
  .
-    * runs on Mac OS X (and *BSD), Linux, and Windows;
+    * runs on Linux, BSD, macOS, and Windows;
     * send multiple trace files at a time;
-    * send packets at a specific speed or line rate in Mbps;
+    * send packets at a specific speed or up to your NIC line rate in Mbps using
+      built-in token bucket algorithm;
     * comprehensive trace file editor with control over most fields in
       Ethernet, ARP, IP, ICMP, TCP, and UDP headers with automatic header
       checksum correction;
+    * comprehensive trace file editor to edit most fields in
+      Ethernet, ARP, IPv4, IPv6, ICMPv4, ICMPv6, TCP, and UDP headers;
+    * automatic header checksum correction;
+    * send packets with custom QoS bits to test classification/queuing features
+      of switches/routers;
     * append user payload to existing packets after a specific header;
+    * append user payload (e.g. copy of hex stream from Wireshark) to existing
+      packets after a specific header;
     * select a specific range of packets and save them in another trace file;
     * highly scriptable - with proper manipulation you can turn Bit-Twist
       into an extremely flexible packet generator tool;
