## bittwist 4.6+ds

=== debian/changelog ===
bittwist (4.6+ds-1) unstable; urgency=medium

  * New upstream version
  * d/watch: add repack,repacksuffix=+ds opts
  * Uploaders add atzlinux@debian.org email
  * update d/p/30_not-use-static-linking.patch for new upstream

 -- xiao sheng wen <atzlinux@debian.org>  Wed, 30 Oct 2024 10:57:46 +0800

bittwist (4.1+ds-1) unstable; urgency=medium

  * New upstream version 4.1+ds
  * Bump Standards-Version: 4.7.0
  * update d/p/20_Makefile.patch
  * add d/p/30_not-use-static-linking.patch
  * d/copyright:
      - add Files-Excluded: bin npcap-sdk directory
      - update year info to 2024
      - add src/tinymt/* BSD-3-clause
  * d/watch: add opts=dversionmangle=s/\.ds//
  * d/rules: add execute_before_dh_auto_build target

 -- xiao sheng wen <atzlinux@sina.com>  Sat, 12 Oct 2024 21:05:02 +0800
