## bittwist 4.7%2Bds

=== debian/changelog ===
bittwist (4.7+ds-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 13 Jan 2026 20:43:03 +0000

bittwist (4.7+ds-2) unstable; urgency=medium

  * d/rules: execute_after_dh_auto_test target use DEB_BUILD_ARCH_ENDIAN to
    run test only on the little ENDIAN CPU, closes: #1090793
  * d/copyright: update-debian-copyright year info to 2025

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 01 Jan 2025 15:09:40 +0800

bittwist (4.7+ds-1) unstable; urgency=medium

  * New upstream version
  * d/rules: add execute_after_dh_auto_test target
  * add d/clean to clear debian/tests/pcap/ directory

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 18 Nov 2024 15:43:11 +0800
