## bittwist 4.7+ds

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-License-Identifier: GPL-2.0-or-later
 #
 # Makefile for Bit-Twist project
-# Copyright (C) 2006 - 2023 Addy Yeow <ayeowch@gmail.com>
+# Copyright (C) 2006 - 2024 Addy Yeow <ayeowch@gmail.com>
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -33,12 +33,20 @@
 old_mandir = ${old_prefix}/share/man/man1
 
 CC ?= gcc
-DEBUG = -g
 CFLAGS ?= -std=gnu17
 CFLAGS += -O3
-CFLAGS += ${DEBUG} -Wall
+CFLAGS += -Wall
+
+# Use make ENABLE_DEBUG=0 to disable debug.
+ENABLE_DEBUG ?= 1
+DEBUG = -g
+ifeq ($(ENABLE_DEBUG), 1)
+CFLAGS += $(DEBUG)
+endif
+
 SRC = src
 DOC = doc
+BIN = bin
 
 CPPCHECK ?= cppcheck
 
@@ -48,27 +56,46 @@
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_DATA = ${INSTALL} -m 644
 
-all: bittwist bittwiste
+UNAME_S := $(shell uname -s)
+
+# Use static linking to libpcap on Linux.
+ifeq ($(UNAME_S),Linux)
+	LPCAP = -Wl,-Bstatic -lpcap -Wl,-Bdynamic
+else
+	LPCAP = -lpcap
+endif
+
+# MinGW-w64 compiler for Windows cross-compilation.
+MINGW_CC = x86_64-w64-mingw32-gcc
+
+ifneq ("$(shell which $(MINGW_CC) 2>/dev/null)","")
+	WINDOWS_TARGETS = windows
+endif
+
+# To ensure reproducible outputs.
+export SOURCE_DATE_EPOCH=0
+
+all: bittwist bittwiste $(WINDOWS_TARGETS)
 
 bittwist:
-	$(CC) $(CFLAGS) $(SRC)/bittwist.c $(SRC)/token_bucket.c -o $(SRC)/bittwist -I/usr/local/include -L/usr/local/lib -lpcap
+	$(CC) $(CFLAGS) $(SRC)/bittwist.c $(SRC)/token_bucket.c -o $(BIN)/bittwist -I/usr/local/include -L/usr/local/lib $(LPCAP)
 
 bittwiste:
-	$(CC) $(CFLAGS) $(SRC)/bittwiste.c $(SRC)/tinymt/tinymt64.c $(SRC)/template_pcap.c -o $(SRC)/bittwiste -I $(SRC)/tinymt -I/usr/local/include -L/usr/local/lib -lpcap
+	$(CC) $(CFLAGS) $(SRC)/bittwiste.c $(SRC)/tinymt/tinymt64.c $(SRC)/template_pcap.c -o $(BIN)/bittwiste -I $(SRC)/tinymt -I/usr/local/include -L/usr/local/lib
 
 clean:
-	rm -f $(SRC)/bittwist $(SRC)/bittwiste
+	rm -f $(BIN)/bittwist $(BIN)/bittwiste
 
 check:
 	$(CPPCHECK) --enable=warning $(SRC)
 
 format:
-	$(CLANG_FORMAT) -i src/def.h src/token_bucket.h src/token_bucket.c src/template_pcap.h src/template_pcap.c src/bittwist.h src/bittwist.c src/bittwiste.h src/bittwiste.c
+	$(CLANG_FORMAT) -i src/windows_utils.h src/def.h src/token_bucket.h src/token_bucket.c src/template_pcap.h src/template_pcap.c src/bittwist.h src/bittwist.c src/bittwiste.h src/bittwiste.c
 
 install:
 	mkdir -p $(bindir)
 	chmod 755 $(bindir)
-	$(INSTALL_PROGRAM) $(SRC)/bittwist $(SRC)/bittwiste $(bindir)
+	$(INSTALL_PROGRAM) $(BIN)/bittwist $(BIN)/bittwiste $(bindir)
 	mkdir -p $(mandir)
 	chmod 755 $(mandir)
 	$(INSTALL_DATA) $(DOC)/bittwist.1 $(DOC)/bittwiste.1 $(mandir)
@@ -82,3 +109,11 @@
 	@rm -vf $(wildcard $(old_bindir)/bittwiste)
 	@rm -vf $(wildcard $(old_mandir)/bittwist.1)
 	@rm -vf $(wildcard $(old_mandir)/bittwiste.1)
+
+windows: bittwist_windows bittwiste_windows
+
+bittwist_windows:
+	$(MINGW_CC) $(CFLAGS) $(SRC)/bittwist.c $(SRC)/token_bucket.c -o $(BIN)/bittwist.exe -I npcap-sdk/Include -L npcap-sdk/Lib/x64 -lwpcap
+
+bittwiste_windows:
+	$(MINGW_CC) $(CFLAGS) $(SRC)/bittwiste.c $(SRC)/tinymt/tinymt64.c $(SRC)/template_pcap.c -o $(BIN)/bittwiste.exe -I $(SRC)/tinymt -I npcap-sdk/Include -lws2_32
