=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: bittwist
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: xiao sheng wen <atzlinux@sina.com>
+Maintainer: xiao sheng wen <atzlinux@sina.com>
+Uploaders:
+ xiao sheng wen <atzlinux@debian.org>,
 Build-Depends:
  cppcheck,
  debhelper-compat (= 13),
  libpcap0.8-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/bittwist
 Vcs-Git: https://salsa.debian.org/debian/bittwist.git -b debian/latest
