=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,11 @@
 execute_before_dh_auto_build:
 	mkdir -pv bin
 
+execute_after_dh_auto_test:
+	mkdir -pv debian/tests/pcap/
+ifeq ($(DEB_BUILD_ARCH_ENDIAN),little)
+	for i in tests/pcap/*;do ./bin/bittwiste -I "$$i" -O debian/"$$i";done
+endif
+
 %:
 	dh $@
