=== debian/tests/control ===
Test-Command: bittwist -d

Test-Command: bittwiste -I debian/tests/test.pcap -O debian/tests/test.bittwiste.pcap
Restrictions: allow-stderr
