=== debian/watch ===
version=4
opts="dversionmangle=s/\.ds//,repack,repacksuffix=+ds" \
https://sf.net/bittwist/bittwist-linux-@ANY_VERSION@@ARCHIVE_EXT@
